Bug 961330 - [RFE] repoview-like functionality for browsing repositories via the web interface
[RFE] repoview-like functionality for browsing repositories via the web inter...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 08:25 EDT by Jim Perrin
Modified: 2015-02-28 18:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 20:10:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 189 None None None Never

  None (edit)
Description Jim Perrin 2013-05-09 08:25:56 EDT
Description of problem:
If one browses browses the pulp-server via http(s), they get a directory list of packages. This can take a long time, as apache has to stat every single link in the directory. By adding repoview or similar functionality, this load is greatly reduced, and searching for a specific package becomes quite a bit easier. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install pulp server
2. Sync rhel or centos base repo
3. browse http://pulpserver/pulp/repo/
4. cry at how long it takes for the page to load. 
  
Actual results:
Page takes eons to load. 

Expected results:
simple, neat clean interface 

Additional info:
Comment 1 Brian Bouterse 2015-02-18 20:10:50 EST
Moved to https://pulp.plan.io/issues/189

Note You need to log in before you can comment on or make changes to this bug.